<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Custom Form Newsletter Subscription
 */

namespace Amasty\CustomFormNewsletterSubscription\Model;

use Amasty\Base\Model\ConfigProviderAbstract;
use Magento\Store\Model\ScopeInterface;

class ConfigProvider extends ConfigProviderAbstract
{
    /**
     * @var string
     */
    protected $pathPrefix = 'amasty_customform/';

    public function isNewsletterSubscribeAllowedForGuest(): bool
    {
        return $this->scopeConfig->isSetFlag(
            'newsletter/subscription/allow_guest_subscribe',
            ScopeInterface::SCOPE_STORE
        );
    }
}
