<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Custom Form Newsletter Subscription
 */

namespace Amasty\CustomFormNewsletterSubscription\Observer\Adminhtml\Form;

use Amasty\Customform\Api\Data\FormInterface;
use Magento\Framework\Event\Observer;
use Magento\Framework\Event\ObserverInterface;
use Magento\Framework\Exception\LocalizedException;

class ValidateSubscriptionCheckbox implements ObserverInterface
{
    /**
     * @throws LocalizedException
     */
    public function execute(Observer $observer): void
    {
        /** @var FormInterface $form */
        $form = $observer->getEvent()->getData('data_object');
        if ($form && $form->isSubscriptionEnabled() && !$form->getEmailField()) {
            throw new LocalizedException(__(
                'If \'Add Subscription Checkbox\' is enabled, an email field is required to save the form.
                Please add the email field in the form creator.'
            ));
        }
    }
}
